%global realname exmpp


Name:		erlang-%{realname}
Version:	0.9.3
Release:	1%{?dist}
Summary:	A library for the eXtensible Messaging and Presence Protocol
Group:		Development/Languages
License:	ERPL
URL:		https://support.process-one.net/doc/display/EXMPP/
Source0:	http://download.process-one.net/%{realname}/%{realname}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang
BuildRequires:	expat-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
Provides:	%{realname} = %{version}-%{release}
%{?__erlang_provides_requires: %{__erlang_provides_requires}}%{!?__erlang_provides_requires:Requires: erlang}


%description
Erlang XMPP library (exmpp) is a fast and scalable library for the eXtensible
Messaging and Presence Protocol.


%prep
%setup -q -n %{realname}-%{version}


%build
# c_src/*.la and c_src/*.lo were accidentally included into tarball
rm -f c_src/*.l[ao]
# the installer has some weird logic, and it needs to set-up
# prefix, pointing out to erlang dir
%configure --prefix=%{_libdir}/erlang/lib
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# cleanup of *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/*.la
# remove installed doc-files - they will be listed later as %%doc
rm -rf $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/doc


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc EPLICENCE
%doc doc/ejabberd_socket.html
%doc doc/ejabberd_zlib.html
%doc doc/erlang.png
%doc doc/exmpp.html
%doc doc/exmpp_bosh.html
%doc doc/exmpp_caps.html
%doc doc/exmpp_client_binding.html
%doc doc/exmpp_client_compression.html
%doc doc/exmpp_client_disco.html
%doc doc/exmpp_client_legacy_auth.html
%doc doc/exmpp_client_muc.html
%doc doc/exmpp_client_privacy.html
%doc doc/exmpp_client_pubsub.html
%doc doc/exmpp_client_register.html
%doc doc/exmpp_client_roster.html
%doc doc/exmpp_client_sasl.html
%doc doc/exmpp_client_session.html
%doc doc/exmpp_client_tls.html
%doc doc/exmpp_component.html
%doc doc/exmpp_compress.html
%doc doc/exmpp_dialback.html
%doc doc/exmpp_internals.html
%doc doc/exmpp_iq.html
%doc doc/exmpp_jid.html
%doc doc/exmpp_known_attrs.html
%doc doc/exmpp_known_elems.html
%doc doc/exmpp_known_nss.html
%doc doc/exmpp_message.html
%doc doc/exmpp_presence.html
%doc doc/exmpp_server_binding.html
%doc doc/exmpp_server_compression.html
%doc doc/exmpp_server_legacy_auth.html
%doc doc/exmpp_server_privacy.html
%doc doc/exmpp_server_sasl.html
%doc doc/exmpp_server_session.html
%doc doc/exmpp_server_tls.html
%doc doc/exmpp_session.html
%doc doc/exmpp_ssl.html
%doc doc/exmpp_stanza.html
%doc doc/exmpp_stream.html
%doc doc/exmpp_stringprep.html
%doc doc/exmpp_sup.html
%doc doc/exmpp_tcp.html
%doc doc/exmpp_tls.html
%doc doc/exmpp_utils.html
%doc doc/exmpp_xml.html
%doc doc/exmpp_xmlstream.html
%doc doc/index.html
%doc doc/jlib.html
%doc doc/modules-frame.html
%doc doc/overview-summary.html
%doc doc/packages-frame.html
%doc doc/stringprep.html
%doc doc/stylesheet.css
%doc doc/tls.html
%doc doc/xml.html
%doc doc/xml_stream.html

%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include/internal
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib

%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp.appup
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_bosh.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_binding.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_compression.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_disco.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_legacy_auth.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_muc.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_privacy.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_pubsub.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_register.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_roster.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_sasl.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_session.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_client_tls.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_component.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_compress.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_dialback.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_internals.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_iq.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_jid.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_known_attrs.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_known_elems.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_known_nss.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_message.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_presence.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_server_binding.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_server_compression.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_server_legacy_auth.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_server_privacy.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_server_sasl.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_server_session.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_server_tls.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_session.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_ssl.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_stanza.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_stream.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_stringprep.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_sup.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_tcp.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_tls.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_utils.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_xml.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_xmlstream.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp_client.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp_nss.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp_xml.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp_xmpp.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/internal/exmpp_known_attrs.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/internal/exmpp_known_elems.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/internal/exmpp_known_nss.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/internal/exmpp_xmpp.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_compress_zlib.so
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_stringprep.so
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_tls_openssl.so
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_xml_expat.so
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_xml_expat_legacy.so
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_xml_libxml2.so


%changelog
* Fri Mar 12 2010 Peter Lemenkov <lemenkov@gmail.com> 0.9.3-1
- Ver. 0.9.3

* Sun Jan 17 2010 Peter Lemenkov <lemenkov@gmail.com> 0.9.2-2
- Got rid of %%define

* Thu Dec 24 2009 Peter Lemenkov <lemenkov@gmail.com> 0.9.2-1
- Ver. 0.9.2

* Thu Dec  3 2009 Peter Lemenkov <lemenkov@gmail.com> 0.9.1-2.svn871
- Ver. 0.9.1 + svn ver. 871

* Tue Jun 16 2009 Peter Lemenkov <lemenkov@gmail.com> 0.9.1-1
- initial build

